/* Turska Framework/UI library (Turs2)
 * Copyright 2003-2009 Jetro Lauha
 * All rights reserved.
 * Web: http://iki.fi/jetro/turska/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of EITHER:
 *   (1) The GNU Lesser General Public License as published by the Free
 *       Software Foundation; either version 2.1 of the License, or (at
 *       your option) any later version. The text of the GNU Lesser
 *       General Public License is included with this library in the
 *       file LICENSE-LGPL.txt.
 *   (2) The BSD-style license that is included with this library in
 *       the file LICENSE-BSD.txt.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the files
 * LICENSE-LGPL.txt and LICENSE-BSD.txt for more details.
 *
 * $Id: T2VerticalStripBitmapFontIrr.h 131 2009-06-05 05:58:05Z jlauha $
 * $Revision: 131 $
 */

#ifndef T2VERTICALSTRIPBITMAPFONTIRR_H_INCLUDED
#define T2VERTICALSTRIPBITMAPFONTIRR_H_INCLUDED


namespace turska
{
    //! Implementation of the Turska VerticalStripBitmapFont which uses Irrlicht.
    /*! \todo Implementation documentation with explanation of font image contents.
     */
    class VerticalStripBitmapFontIrr : public turska::VerticalStripBitmapFont
    {
    public:

        //! Constructs a new font object.
        /*! The alphaTraceMinAlpha parameter is minimum alpha value to be traced
         *  as a visible pixel. It is ignored if the image surface lacks alpha.
         */
        VerticalStripBitmapFontIrr(GraphicsIrr *graphics,
                                   const C8 *fileName,
                                   const C8 *fontString = 0,
                                   UI8 alphaTraceMinAlpha = 16);
        virtual ~VerticalStripBitmapFontIrr();

        // From turska::Font:

        virtual bool reload();

    }; // class VerticalStripBitmapFontIrr
} // namespace turska


#endif // !T2VERTICALSTRIPBITMAPFONTIRR_H_INCLUDED
