/* Turska Framework/UI library (Turs2)
 * Copyright 2003-2009 Jetro Lauha
 * All rights reserved.
 * Web: http://iki.fi/jetro/turska/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of EITHER:
 *   (1) The GNU Lesser General Public License as published by the Free
 *       Software Foundation; either version 2.1 of the License, or (at
 *       your option) any later version. The text of the GNU Lesser
 *       General Public License is included with this library in the
 *       file LICENSE-LGPL.txt.
 *   (2) The BSD-style license that is included with this library in
 *       the file LICENSE-BSD.txt.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the files
 * LICENSE-LGPL.txt and LICENSE-BSD.txt for more details.
 *
 * $Id: Turs2.h 2393 2009-08-14 10:38:46Z tonic $
 * $Revision: 2393 $
 */

#ifndef TURS2_H_INCLUDED
#define TURS2_H_INCLUDED


#define T2_VERSION_MAJOR       2
#define T2_VERSION_MINOR       0
#define T2_VERSION_MAINTENANCE 1
#define T2_VERSION_STR         "2.0.1"

#include "Turs2config.h"

#ifdef T2_USE_IRR
#include "ITexture.h"
#include "IVideoDriver.h"
#include "IEventReceiver.h"
#include "IrrlichtDevice.h"
#endif // T2_USE_IRR

#include "T2Types.h"
#include "T2Image.h"
#include "T2Graphics.h"
#include "T2Font.h"

#ifndef T2_NO_VERTICALSTRIPBITMAPFONT
#include "T2VerticalStripBitmapFont.h"
#endif // !T2_NO_VERTICALSTRIPBITMAPFONT

#include "T2BMFont.h"

#include "T2IMGUI.h"
#include "T2IMGUIButtonStyle.h"
#include "T2IMGUISliderStyle.h"
#include "T2IMGUITextFieldStyle.h"
#include "T2IMGUIImageButtonStyle.h"
#include "T2IMGUIImageSliderStyle.h"
#include "T2IMGUIImageTextFieldStyle.h"


#ifdef T2_USE_SDLOPENGL
#include "T2ImageOpenGL.h"
#include "T2GraphicsSDLOpenGL.h"
#ifndef T2_NO_VERTICALSTRIPBITMAPFONT
#include "T2VerticalStripBitmapFontSDLOpenGL.h"
#endif // !T2_NO_VERTICALSTRIPBITMAPFONT
#endif // T2_USE_SDLOPENGL

#ifdef T2_USE_IRR
#include "T2ImageIrr.h"
#include "T2GraphicsIrr.h"
#ifndef T2_NO_VERTICALSTRIPBITMAPFONT
#include "T2VerticalStripBitmapFontIrr.h"
#endif // !T2_NO_VERTICALSTRIPBITMAPFONT
#endif // T2_USE_IRR


#endif // !TURS2_H_INCLUDED
