/* App/library-specific configuration for Turs2.
 *
 * $Id: Turs2config.h 151 2009-12-10 18:13:00Z jlauha $
 */

#ifndef TURS2CONFIG_H_INCLUDED
#define TURS2CONFIG_H_INCLUDED


#define T2_USE_IRR
#define T2_USE_SDLOPENGL

#if defined(T2_USE_IRR) && !defined(T2_IRR_API_VERSION)
    #ifndef __IRR_COMPILE_CONFIG_H_INCLUDED__
        #include "IrrCompileConfig.h"
    #endif // !__IRR_COMPILE_CONFIG_H_INCLUDED__
    #if defined(IRRLICHT_VERSION_MAJOR) && defined(IRRLICHT_VERSION_MINOR) && defined(IRRLICHT_VERSION_REVISION)
        #ifdef IRRLICHT_VERSION_SVN
            #define T2_IRR_API_VERSION_REVISION 0
        #else
            #define T2_IRR_API_VERSION_REVISION IRRLICHT_VERSION_REVISION
        #endif
        #define T2_IRR_API_VERSION (IRRLICHT_VERSION_MAJOR * 100 + IRRLICHT_VERSION_MINOR * 10 + T2_IRR_API_VERSION_REVISION)
    #else
        // Use 140 for 1.4.0
        // Use 150 for 1.5.0 or 151 for 1.5.1
        // Use 160 for 1.6.0 (current svn trunk as of this moment)
        #define T2_IRR_API_VERSION 150
    #endif
#endif // T2_USE_IRR && !T2_IRR_API_VERSION

namespace turska
{
    typedef float F32;
    typedef double F64;
    typedef signed char I8;
    typedef unsigned char UI8;
    typedef char C8;
    typedef signed short I16;
    typedef unsigned short UI16;
    typedef int I32;
    typedef unsigned int UI32;

    typedef F32 TREAL;
};


#endif // !TURS2CONFIG_H_INCLUDED
